Update an address
curl --request PATCH \
--url https://clarus-api.com/api/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
}
}
'import requests
url = "https://clarus-api.com/api/addresses/{id}"
payload = { "data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'addresses',
attributes: {
name: 'John Smith',
address_1: '123 Main Street',
address_3: 'Manchester',
postcode: 'M1 2AB',
country_code: 'GB'
}
}
})
};
fetch('https://clarus-api.com/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "501",
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Addresses
Update an address
Update a generic address. Town/city is held in address_3 (passed to couriers as the city). Generic addresses cannot change their account or parent (addressable) associations.
PATCH
/
api
/
addresses
/
{id}
Update an address
curl --request PATCH \
--url https://clarus-api.com/api/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
}
}
'import requests
url = "https://clarus-api.com/api/addresses/{id}"
payload = { "data": {
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'addresses',
attributes: {
name: 'John Smith',
address_1: '123 Main Street',
address_3: 'Manchester',
postcode: 'M1 2AB',
country_code: 'GB'
}
}
})
};
fetch('https://clarus-api.com/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "501",
"type": "addresses",
"attributes": {
"name": "John Smith",
"address_1": "123 Main Street",
"address_3": "Manchester",
"postcode": "M1 2AB",
"country_code": "GB"
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the address to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Show child attributes
Show child attributes
⌘I

